<?php
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2007 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/*--------------------------------------------+
|       Europe Theme for PHP-Fusion v6+       |
|---------------------------------------------|
| author: Fuzed Themes - Shedrock  2007      |
| credits: Riadi - europe.js script coding    |
| web: http://phpfusion-themes.com            |
| email: webmaster@phpfusion-thems.com        |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

require_once INCLUDES."theme_functions_include.php";

// Theme settings
$body_text = "#7B8784";
$body_bg = "#FFFFFF";
$theme_width = "975";
$theme_width_l = "185";
$theme_width_r = "185";

// Right Panels off in Forum Mode - Custom coded
$theme_panels_exclude = array("/forum/");

function render_header($header_content) {
global $theme_width, $settings;

$cookieval = "";
if (isset($_COOKIE['Europe_Theme'])) {
   $cookie = explode("&",$_COOKIE['Europe_Theme']);
   for ($i = 0;$i < sizeof($cookie);$i++) {
      $cookie2 = explode(":",$cookie[$i]);
      if ($cookie2[0] == "hideleft" || $cookie2[0] == "hideright") {
         $cookieval .= ",".$cookie2[0].":'".($cookie2[1] == 'off' ? 'off' : 'on')."'";
      }
   }
}

echo "<script language='javascript' src='".THEME."europe.js' type='text/javascript'></script>\n";
echo "<script language='javascript' type='text/javascript'>Europe.init({basedir:'".THEME."'".$cookieval."});</script>\n";

// main table
echo "<table width='$theme_width' align='center' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='side_left'></td>
		<td width='100%' valign='top'>\n";

// header table
echo "<table class='header_logo' cellpadding='0' cellspacing='0' width='100%'>
	<tr>
		<td valign='bottom' width='100%'>
<div id='logo'><img style='vertical-align: middle;' alt='' src='".THEME."images/logo.gif'></div>\n";

// sublink and clock table
echo "<table border='0' cellpadding='2' cellspacing='0' width='100%'>
	<tr>
		<td id='navigation' class='sub_nav' width='85%'>
			".showsublinks("<img alt='' src='".THEME."images/nav_sep.gif'>","navigation")."
		</td>
		<td align='right' id='Clock' nowrap='nowrap' width='15%'>
			<script language='javascript' type='text/javascript'>Europe.tick();</script>
		</td>
	</tr>
</table>\n";

//closing header table
echo "\t\t</td>
	</tr>
</table>\n";

//panel images table
echo "<table border='0' cellpadding='0' cellspacing='0' style='height: 19px;' width='100%'>
	<tr>
		<td align='left' width='5%'><a href=\"javascript:Europe.showHideSide('left');\" onmousedown='return false;'><img id='panel_left_img' style='vertical-align: middle;' title='Hide/Show Panels' alt='Hide/Show Panels' src='".THEME."images/left_panel.gif'></a>
		</td>
		<td width='90%'>
		</td>
		<td align='right' width='5%'><a href=\"javascript:Europe.showHideSide('right');\" onmousedown='return false;'><img id='panel_right_img' style='vertical-align: middle;' title='Hide/Show Panels' alt='Hide/Show Panels' src='".THEME."images/right_panel.gif'></a>
		</td>
	</tr>
</table>\n";
//close panel images table

// page content table
echo "<table bgcolor='#FFFFFF' cellpadding='0' cellspacing='0' width='100%'>
	<tr id='contentbody'>\n";
}

function render_footer($license=false) {
global $settings;
//closing content table
echo "\t</tr>
</table>\n";
	
//footer table
echo "<table style='margin-top: 6px;' width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='footer' align='center' width='100%' style='padding-top: 15px;' valign='top'>
			".stripslashes($settings['footer'])."<br>"
			.(!$license ? showcopyright()."<br>" : "")."
			<div style='padding-top: 7px; text-align: center;' class='smalltext'>
				<b>Europe</b> Theme designed by: <a target='_blank' href='http://phpfusion-themes.com'>Fuzed Themes</a>&nbsp;&copy; - 2004/2007<br><br>
				".showcounter()."<br><br>
			</div>
		</td>
	</tr>
</table>\n";

//closing main table
echo "\t\t</td>
		<td class='side_right'></td>
	</tr>
</table>\n";
}

function render_news($subject, $news, $info) {
$subject = strip_tags($subject);
echo "<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='cap-left'></td>
		<td width='100%' height='36' class='cap-main' colspan='3'>$subject</td>
		<td class='cap-right'></td>
	</tr>
	<tr>
		<td class='border-left' rowspan='2'></td>
		<td class='side-body' colspan='3'>$news</td>
		<td class='border-right' rowspan='2'></td>
	</tr>
	<tr>
		<td class='info-left'></td>
		<td width='100%' height='27' class='info-main'>
			".openform("N",$info['news_id']).newsposter($info," &middot;").newsopts($info," &middot;").closeform("N",$info['news_id'])."
		</td>
		<td class='info-right'></td>
	</tr>
	<tr>
		<td class='border-bleft'></td>
		<td width='100%' height='12' class='border-bmain' colspan='3'></td>
		<td class='border-bright'></td>
	</tr>
</table>\n";
}

function render_article($subject, $article, $info) {
echo "<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='cap-left'></td>
		<td width='100%' height='36' class='cap-main' colspan='3'>$subject</td>
		<td class='cap-right'></td>
	</tr>
	<tr>
		<td class='border-left' rowspan='2'></td>
		<td class='side-body' colspan='3'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>
		<td class='border-right' rowspan='2'></td>
	</tr>
	<tr>
		<td class='info-left'></td>
		<td width='100%' height='27' class='info-main'>
			".openform("A",$info['article_id']).articleposter($info," &middot;").articleopts($info," &middot;").closeform("A",$info['article_id'])."
		</td>
		<td class='info-right'></td>
	</tr>
	<tr>
		<td class='border-bleft'></td>
		<td width='100%' height='12' class='border-bmain' colspan='3'></td>
		<td class='border-bright'></td>
	</tr>
</table>\n";
}

function opentable($title) {
echo "<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='cap-left'></td>
		<td width='100%' height='36' class='cap-main'>$title</td>
		<td class='cap-right'></td>
	</tr>
	<tr>
		<td class='border-left'></td>
		<td class='side-body'>\n";
}

function closetable() {
echo "\t\t</td>
		<td class='border-right'></td>
	</tr>
	<tr>
		<td class='border-bleft'></td>
		<td width='100%' height='12' class='border-bmain'></td>
		<td class='border-bright'></td>
	</tr>
</table>\n";
}

function openside($title) {
echo "<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='cap-left'></td>
		<td width='100%' height='36' class='cap-main'>$title</td>
		<td class='cap-right'></td>
	</tr>
	<tr>
		<td class='border-left'></td>
		<td class='side-body'>\n";
}

function closeside() {
echo "\t\t</td>
		<td class='border-right'></td>
	</tr>
	<tr>
		<td class='border-bleft'></td>
		<td width='100%' height='12' class='border-bmain'></td>
		<td class='border-bright'></td>
	</tr>
</table>\n
".tablebreak()."";
}

function opensidex($title,$state="on") {
$boxname = str_replace(" ", "", $title);
echo "<table width='100%' cellpadding='0' cellspacing='0'>
	<tr>
		<td class='cap-left'></td>
		<td width='100%' height='36' class='cap-main'>
			<span style='float:left'>$title</span>
			<span style='float:right'>".panelbutton($state,$boxname)."</span>
		</td>
		<td class='cap-right' style='clear:both'></td>
	</tr>
	<tr>
		<td class='border-left'></td>
		<td class='side-body'>
			<div id='box_$boxname'".($state=="off"?" style='display:none'":"").">\n";
}

function closesidex() {
echo "\t\t\t</div>
		</td>
		<td class='border-right'></td>
	</tr>
	<tr>
		<td class='border-bleft'></td>
		<td width='100%' height='12' class='border-bmain'></td>
		<td class='border-bright'></td>
	</tr>
</table>\n
".tablebreak()."";
}

function tablebreak() {
echo "<table width='100%' cellspacing='0' cellpadding='0'><tr>
<td height='4'></td>
</tr></table>\n";
}
?>
